#!/bin/bash

password=`cat /dev/urandom | tr -dc A-Za-z0-9 | head -c 12`
docker run \
   -d -p 389:389 -p 636:636 \
  --name ldap-service \
  --restart=always \
  --hostname openldap \
  -v /opt/docker-data/slapd/database:/var/lib/ldap \
  --volume /opt/docker-data/slapd/config:/etc/ldap/slapd.d \
  --env LDAP_ORGANISATION="astralsec.com" \
  --env LDAP_DOMAIN="astralsec.com" \
  --env LDAP_BASE_DN="dc=astralsec,dc=com" \
  --env LDAP_ADMIN_PASSWORD=$password \
  osixia/openldap:latest

echo "passwod: $password" > openldap.txt